<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Изменить режиссера</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3" th:text="'Обновить режиссера ' + ${director.getFio()}"></h3>
    <form class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/directors/update}" th:object="${directorForm}">
        <input type="hidden" name="id"
               th:value="${director.getId()}">
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <!--Название поля инпута должно строго соответствовать названию поля класса (DTO)-->
                    <input name="fio" th:value="${director.getFio()}" type="text" class="form-control" id="fio" placeholder="Имя режиссера" required>
                    <label for="fio">Имя режиссера</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="birthDate" th:value="${director.getBirthDate()()}" type="date" class="form-control" id="date" placeholder="Дата рождения" required>
                    <label for="date">Дата рождения</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>

            <div class="mt-3 row g-2">
                <div class="col-md">
                    <div class="form-floating">
                        <input name="position" th:value="${director.getPosition()}" type="number" class="form-control" id="position" placeholder="Позиция в рейтинге" required>
                        <label for="position">Позиция</label>
                        <div class="invalid-feedback">Обязательное поле для заполнения</div>
                    </div>
                </div>
            </div>

            <div class="col-md">
                <div class="form-floating">
                    <textarea name="description" th:value="${director.getDescription()}" th:text="${director.getDescription()}" type="text" class="form-control" id="description"
                              placeholder="Описание"></textarea>
                    <label for="description">Описание</label>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <button type="submit" class="btn btn-primary" onclick="validateForm()">Обновить</button>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
        </div>
    </form>
</div>
</body>
</html>